Subject: bug#64652: 28.2; Adding a property bug on Windows 11

From: Ihor Radchenko <[email-masked]>
Date: Sun, 16 Jul 2023 08:56:47 +0000

Eli Zaretskii <[email-masked]> writes:

>> Org does nothing about case-table. So, it should be the default one.
>
> That's the problem: the default case-table in Turkish locales will
> fail case-insensitive search for ASCII strings.  Try this:
>
>   emacs -Q
>   M-x set-language-environment RET Turkish RET
> ... 
>> Does it also mean that any user with Turkish locale will experience the
>> same failure when searching for "i"? Like M-x isearch <RET> i
>
> Yes (except that Isearch has some heuristics regarding letter-case
> when invoked interactively).  After set-language-environment to
> Turkish, type "PROPERTIES", go to the beginning of the word you typed,
> and do

AFAIU, it then means that any parser/font-lock keywords may fail to
fontify case-insensitive keywords that contain "i" in Turkish language
environment.

On the Org side, we may probably use ascii-case-table. However, this
will break legitimate user edits involving other locales.
Alternatively, Org may wrap every regexp search into `with-case-table',
but that will cause performance degradation, AFAIU.

I feel that the problem may need to be addressed somehow on Emacs side.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>